# H235_ENCRYPTED< ToBeEncrypted > Class Template Reference

`#include <h235.h>`

Inheritance diagram for H235_ENCRYPTED< ToBeEncrypted >:

List of all members.

## Public Member Functions

| H235_ENCRYPTED (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_ObjectId | m_algorithmOID
H235_Params | m_paramS
PASN_OctetString | m_encryptedData

### template<class ToBeEncrypted>
class H235_ENCRYPTED< ToBeEncrypted >

## Constructor & Destructor Documentation

template<class ToBeEncrypted>

H235_ENCRYPTED< ToBeEncrypted >::H235_ENCRYPTED | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

template<class ToBeEncrypted>

PINDEX H235_ENCRYPTED< ToBeEncrypted >::GetDataLength | ( |  | ) | const

template<class ToBeEncrypted>

PBoolean H235_ENCRYPTED< ToBeEncrypted >::Decode | ( | PASN_Stream & | strm | ) |

template<class ToBeEncrypted>

void H235_ENCRYPTED< ToBeEncrypted >::Encode | ( | PASN_Stream & | strm | ) | const

template<class ToBeEncrypted>

void H235_ENCRYPTED< ToBeEncrypted >::PrintOn | ( | ostream & | strm | ) | const

template<class ToBeEncrypted>

Comparison H235_ENCRYPTED< ToBeEncrypted >::Compare | ( | const PObject & | obj | ) | const

template<class ToBeEncrypted>

PObject* H235_ENCRYPTED< ToBeEncrypted >::Clone | ( |  | ) | const

## Member Data Documentation

template<class ToBeEncrypted>

PASN_ObjectId H235_ENCRYPTED< ToBeEncrypted >::m_algorithmOID

template<class ToBeEncrypted>

H235_Params H235_ENCRYPTED< ToBeEncrypted >::m_paramS

template<class ToBeEncrypted>

PASN_OctetString H235_ENCRYPTED< ToBeEncrypted >::m_encryptedData

The documentation for this class was generated from the following file:

- h235.h